> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kashimi.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all countries



## OpenAPI

````yaml GET /api/v1/capabilities/providers/countries
openapi: 3.0.0
info:
  title: Gatekeeper docs
  description: gatekeeper API
  version: 0.0.1
  contact: {}
servers: []
security: []
tags: []
externalDocs:
  description: JSON document
  url: /api/docs-json
paths:
  /api/v1/capabilities/providers/countries:
    get:
      tags:
        - Capabilities
      summary: >-
        Get a list of country codes where enabled providers operate in
        alphabetical order
      operationId: ProvidersController_getCountries_v1
      parameters:
        - name: Authorization
          in: header
          description: Bearer token for authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The list of provider countries has been retrieved successfully
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
                example:
                  - DE
                  - LT
                  - NL
        '401':
          description: >-
            Your access token was either not passed with the request, or it is
            invalid (e.g. expired or malformed). Make sure to pass the token in
            the Authorization header, and obtain a new one if it has expired.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorOutputDto'
              example:
                statusCode: 401
                title: Unauthorized
                message: Unauthorized
        '403':
          description: You do not have the necessary permissions to perform this action.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorOutputDto'
              example:
                statusCode: 403
                title: Forbidden
                message: Access denied
      security:
        - bearer: []
      x-codeSamples:
        - lang: cURL
          source: >

            curl --location --request GET
            "https://api.kashimi.tech/api/v1/capabilities/providers/countries"

            --header "Accept: application/json"

            --header "Authorization: Bearer YOUR_ACCESS_TOKEN"
components:
  schemas:
    ErrorOutputDto:
      type: object
      properties:
        title:
          type: string
          description: Name of the error
        statusCode:
          type: number
          description: HTTP status code
        message:
          type: string
          description: Error message
      required:
        - title
        - statusCode
        - message

````